| base-3.0.2.0: Basic libraries | Source code | Contents | Index
Data.Generics |
Portability | non-portable (uses Data.Generics.Basics)
Stability | experimental
Maintainer | libraries@haskell.org
Contents
All Data.Generics modules
Description
"Scrap your boilerplate" --- Generic programming in Haskell See http://www.cs.vu.nl/boilerplate/. To scrap your boilerplate it is sufficient to import the present module, which simply re-exports all themes of the Data.Generics library.
Synopsis
module Data.Generics.Basics
module Data.Generics.Instances
module Data.Generics.Aliases
module Data.Generics.Schemes
module Data.Generics.Text
module Data.Generics.Twins
All Data.Generics modules
module Data.Generics.Basics
module Data.Generics.Instances
module Data.Generics.Aliases
module Data.Generics.Schemes
module Data.Generics.Text
module Data.Generics.Twins
Produced by Haddock version 0.9